// 自定义字体修改
function changeFontFamily(name, url) {
    let fontFamilyPath = `url('${url}')`;
    var myFont = new FontFace(name, fontFamilyPath, {});
    myFont.load().then(function (loadFace) {
        document.fonts.add(loadFace);
    });
}

// 预览页面插入背景图
function insertShareBg(params) {
    params = JSON.parse(params)
    console.log('params=' + params);
    document.getElementById('header').style.color = params.color
    document.getElementById('footer').style.color = params.color
    document.getElementById('footer-icon').style.background = params.color

    var bgType = params.type

    if (bgType === 1) {
        var bgHeaderUrl = "url(" + params.topImg + ") repeat-y"
        var bgBodyUrl = "url(" + params.centerImg + ") repeat-y"
        var bgFooterUrl = "url(" + params.bottomImg + ") repeat-y"

        document.getElementById('header').style.background = bgHeaderUrl
        document.getElementById('body').style.background = bgBodyUrl
        document.getElementById('footer').style.background = bgFooterUrl

        document.getElementById('header').style.backgroundSize = '100% 100%'
        document.getElementById('body').style.backgroundSize = '100%'
        document.getElementById('footer').style.backgroundSize = '100% 100%'
    } else if (bgType === 2) {
        var bgHeaderUrl = "url(" + params.topImg + ") no-repeat"
        var bgBodyUrl = "url(" + params.centerImg + ") no-repeat"
        var bgFooterUrl = "url(" + params.bottomImg + ") no-repeat"

        document.getElementById('header').style.background = bgHeaderUrl
        document.getElementById('body').style.background = bgBodyUrl
        document.getElementById('footer').style.background = bgFooterUrl

        document.getElementById('header').style.backgroundSize = '100% 100%'
        document.getElementById('body').style.backgroundSize = '100% 100%'
        document.getElementById('footer').style.backgroundSize = '100% 100%'
    }


}

// 富文本内容回显
function showRickText(params) {
    console.log('富文本内容回显=' + params);
    let bodyDom = document.getElementById('content');
    bodyDom.innerHTML = params;
}

// 从客户端获取展示时间
function getTimeData(year, month, day, time, week) {
    document.getElementById('year-month').innerHTML = year + '-' + month
    document.getElementById('day').innerHTML = day
    document.getElementById('week-time').innerHTML = week + ' ' + time
}

// 针对IOS图片提供获取第一种图片的方法
function getFirstImg() {
    var imgArr= document.getElementsByTagName('img');
    console.log(imgArr , "我是查找出来的图片数组");
}

//获取当前页面宽高
function getPageWidthHeight() {
    var paramsheight = document.body.clientHeight
    var totalHeight = window.screen.height
    var result = paramsheight/totalHeight
    result = result.toFixed(2)
    console.log(result);
    return result
}